# Freebase API . topic

## Instance Methods

Get properties and meta-data about a topic.

### Method Details

`lookup(id, lang=None, filter=None, raw=None, dateline=None, limit=None)`

    Get properties and meta-data about a topic.

    Args:
      id: string, The id of the item that you want data about. (required) (repeated)
      lang: string, The language you 'd like the content in - a freebase /type/lang language key.
      filter: string, A frebase domain, type or property id, 'suggest', 'commons', or 'all'. Filter the results and returns only appropriate properties. (repeated)
      raw: boolean, Do not apply any constraints, or get any names.
      dateline: string, Determines how up-to-date the data returned is. A unix epoch time, a guid or a 'now'
      limit: integer, The maximum number of property values to return for each property.

    Returns:
      An object of the form:

        {
        "property": {
          "/freebase/object_profile/linkcount": {
            "values": [
              {
                "count": 42,
                "values": [
                  {
                    "count": 42,
                    "values": [
                      {
                        "count": 42,
                        "id": "A String",
                      },
                    ],
                    "id": "A String",
                  },
                ],
                "id": "A String",
              },
            ],
            "type": "custom",
          },
        },
        "id": "A String",
      }